<?
if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) {
    exit();
}

session_start();
header( 'Content-type: text/html; charset=windows-1251' );

include '../sfb.php';
$idt = intval($_POST['id']);
if ($idt == 1 and $user_status != 'admin') {
    echo '<div style="color:#800000;padding:5px; margin:3px" align="center">Запрещено создавать темы</div>';
    exit();
}
if (!isset($_SESSION['username']) && !isset($_SESSION['password'])) {
    echo '<div style="color:#800000;padding:5px; margin:3px" align="center">Вы не авторизированы</div>';
    exit();
}
if ($blockforum == 1) {
    echo '<div style="color:#800000;padding:5px; margin:3px" align="center">Вам запрещено создавать темы</div>';
    exit();
}
for ($i = 1; $i <= 27; $i++) {
    $smile .= '<a href="#" onclick="addsmile(' . $i . '); return false;" class="smile"><img src="theme/img/smile/' . $i . '.gif" align="left" border="0" /></a>';
}
?>
<style type="text/css">
.expanding {
    width: 95%;
    height: 100px;
    border: 1px solid #cccccc;
    -moz-box-shadow: 0 0 2px rgba(0,0,0,0.1) inset;
	-webkit-box-shadow: 0 0 2px rgba(0,0,0,0.1) inset;
    -khtml-box-shadow: 0 0 2px rgba(0,0,0,0.1) inset;
    box-shadow: 0 0 2px rgba(0,0,0,0.1) inset;
    font-size: 11px;
    border-top: 1px solid #BCBCBC;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    -khtml-border-radius: 2px;
    border-radius: 2px;
    margin-bottom: 5px;
    padding: 10px;
}
.smile {
    margin: 7px 3px;
    display: inline-block;
}
#error {
    color: #800000;
    text-align: center;
    padding: 5px 0;
    font-weight: bold;
}
</style>
<script type="text/javascript" src="theme/js/bbcode.js"></script>
<script type="text/javascript">
$('#mess').Qbb();
$('#topicdes').tipTip();
function wrapText(startText, endText) {
    var element = $('#mess');
    // находим  и помещаем в переменную текст, расположенный до начала выделенного фрагмента
    var before =  element.val().substring(0,  element.caret().start);
    // находим и помещаем в переменную  текст, расположенный после выделенного фрагмента
    var after =  element.val().substring(element.caret().end,  element.val().length);
    element.val(before + startText + element.caret().text + endText + after);
}
function addsmile(sm) {
    wrapText('[:'+sm, ':]');
    return false;
}

function addtopic() {
    $.post('ajax.php?func=addtopic',{
        id: <?=$idt?>,
        des: $('#topicdes').val(),
        mess: $('#mess').val()
    }, function(data){
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        } else {
            $('.open').fadeIn(500);
            $('#error').html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000);
        }
    });
    return false;
}
</script>
<table class="otab" width="100%" border="0" cellpadding="0" cellspacing="1">
    <thead style="background: #ebebeb;">
        <th width="120" style="padding: 5px" align="left">Заголовок темы</th>
        <th style="padding: 5px;" align="center"><input type="text" id="topicdes" maxlength="55" class="val" size="58" title="Краткое описание темы<br />максимум 55 символов" /></th>
    </thead>
    <tr class="open" style="display: none;">
        <td colspan="2" style="background: #ebebeb;"><div id="error"></div></td>
    </tr>
    <tr>
        <td colspan="2" align="center" class="rt" style="font-weight: bold;">Сообщение</td>
    </tr>
    <tr>
        <td colspan="2" align="center" class="rt" style="background: #ebebeb;"><textarea id="mess" class="expanding"></textarea></td>
    </tr>
    <tr>
        <td class="rt" colspan="2"><?=$smile?></td>
    </tr>
    <tr>
        <td colspan="2" align="right" class="rt" style="background: #ebebeb;"><a href="#" onclick="addtopic(); return false;" class="big_btn">Отправить</a></td>
    </tr>
</table>